'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DateInput = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

var _containers = require('../containers');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _utils = require('../utils.js');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function DateInput(props) {
  var onChange = props.onChange,
      value = props.value,
      placeholder = props.placeholder;

  var onDateChange = function onDateChange(newDate) {
    if (newDate.format) {
      onChange(newDate.format('DD-MM-YYYY'));
    }
    if (newDate.target) {
      onChange(newDate.target.value);
    }
  };
  var rest = (0, _utils.getUnhandledProps)(DateInput, props);
  var inputElement = _react2.default.createElement(_semanticUiReact.Input, _extends({}, rest, {
    value: value,
    onChange: onDateChange,
    placeholder: placeholder,
    icon: 'calendar',
    iconPosition: 'left',
    type: 'text' }));
  return _react2.default.createElement(
    _containers.CustomPopup,
    {
      on: 'click',
      className: 'suir-calendar popup',
      hoverable: true,
      trigger: inputElement },
    _react2.default.createElement(_containers.DatePicker, {
      onDateChange: onDateChange })
  );
}

DateInput.handledProps = ['onChange', 'placeholder', 'value'];
DateInput.propTypes = {
  /** (value) => {} where value has format 'DD-MM-YYYY' */
  onChange: _propTypes2.default.func,
  /** selected date value in format 'DD-MM-YYYY' */
  value: _propTypes2.default.string,
  placeholder: _propTypes2.default.string
};

DateInput.defaultProps = {
  value: '',
  placeholder: ''
};

exports.default = DateInput;
exports.DateInput = DateInput;