'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DatePickerCell = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _utils = require('../utils.js');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function DatePickerCell(props) {
  var active = props.active,
      disabled = props.disabled,
      className = props.className,
      children = props.children,
      onClick = props.onClick;

  var classes = (0, _classnames2.default)(className, 'suir-calendar', 'date');
  var rest = (0, _utils.getUnhandledProps)(DatePickerCell, props);
  return _react2.default.createElement(
    _semanticUiReact.Table.Cell,
    _extends({}, rest, {
      onClick: onClick,
      active: active,
      disabled: disabled,
      className: classes }),
    children
  );
}

DatePickerCell.handledProps = ['active', 'children', 'className', 'disabled', 'onClick'];
DatePickerCell.propTypes = {
  active: _propTypes2.default.bool.isRequired,
  disabled: _propTypes2.default.bool.isRequired,
  className: _propTypes2.default.string,
  children: _propTypes2.default.node,
  onClick: _propTypes2.default.func
};

exports.default = DatePickerCell;
exports.DatePickerCell = DatePickerCell;