'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TimeInput = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

var _containers = require('../containers');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _utils = require('../utils.js');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function TimeInput(props) {
  var onChange = props.onChange,
      value = props.value,
      placeholder = props.placeholder;

  var rest = (0, _utils.getUnhandledProps)(TimeInput, props);

  var onTimeChange = function onTimeChange(newTime) {
    if (typeof newTime === 'string') {
      onChange(newTime);
    }
    if (newTime.target) {
      onChange(newTime.target.value);
    }
  };

  var inputElement = _react2.default.createElement(_semanticUiReact.Input, _extends({}, rest, {
    onChange: onTimeChange,
    placeholder: placeholder,
    value: value,
    icon: 'time',
    iconPosition: 'left',
    type: 'text' }));
  return _react2.default.createElement(
    _containers.CustomPopup,
    {
      on: 'click',
      className: 'suir-calendar popup',
      hoverable: true,
      trigger: inputElement },
    _react2.default.createElement(_containers.TimePicker, {
      onTimeChange: onTimeChange })
  );
}

TimeInput.handledProps = ['onChange', 'placeholder', 'value'];
TimeInput.propTypes = {
  /** (value) => {} where value has format 'hh:mm' */
  onChange: _propTypes2.default.func,
  /** selected time value in format 'hh:mm' */
  value: _propTypes2.default.string,
  placeholder: _propTypes2.default.string
};

TimeInput.defaultProps = {
  value: '',
  placeholder: ''
};

exports.default = TimeInput;
exports.TimeInput = TimeInput;